commit:     48d645dcf43ea91f1a543f4d42735cb805464cbb
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Mon May 20 16:17:04 2019 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Mon May 20 16:17:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48d645dc

sci-electronics/geda: Add missing library to linker stage.

Thanks for reporting: Constantin Runge <c.runge <AT> cssbook.de>

Closes: https://bugs.gentoo.org/684870
Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-electronics/geda/geda-1.9.2-r1.ebuild | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/sci-electronics/geda/geda-1.9.2-r1.ebuild 
b/sci-electronics/geda/geda-1.9.2-r1.ebuild
index 2a44a907ab4..08129958fc6 100644
--- a/sci-electronics/geda/geda-1.9.2-r1.ebuild
+++ b/sci-electronics/geda/geda-1.9.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -52,6 +52,19 @@ src_prepare() {
                sed -i -e 's/\texamples$//' Makefile.in || die
        fi
 
+       # add missing GIO_LIB Bug #684870
+       sed -i -e 's/gsymcheck_LDFLAGS =/gsymcheck_LDFLAGS = $(GIO_LIBS)/' \
+               gsymcheck/src/Makefile.am || die
+
+       sed -i -e 's/gnetlist_LDFLAGS =/gnetlist_LDFLAGS = $(GIO_LIBS)/' \
+               gnetlist/src/Makefile.am || die
+
+       sed -i -e 's/gschlas_LDFLAGS =/gschlas_LDFLAGS = $(GIO_LIBS)/' \
+               utils/gschlas/Makefile.am || die
+
+       sed -i -e 's/sarlacc_schem_LDFLAGS =/sarlacc_schem_LDFLAGS = 
$(GIO_LIBS)/' \
+               contrib/sarlacc_schem/Makefile.am || die
+
        eautoreconf
 }
 

Reply via email to